﻿Imports DTG.Word

Public Class Form1

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ' Creates a new instance of Document class and reads a .doc file into this structure
        Dim Doc As New Document()
        Doc.ReadDoc("..\..\Data\WordPageSettings.doc")

        ' Gets the page properties of the first section
        Dim PageSets As Page_Settings = Doc.Sections(0).PageSettings

        ' Writes the page properties
        textBox1.Text += "Page width (in twips)" & vbTab & vbTab & ": " + PageSets.PageWidth.ToString & vbCr & vbLf
        textBox1.Text += "Page height (in twips)" & vbTab & vbTab & ": " + PageSets.PageHeight.ToString & vbCr & vbLf
        textBox1.Text += "Page layout" & vbTab & vbTab & vbTab & ": " + PageSets.PageLayout.ToString & vbCr & vbLf
        textBox1.Text += "Page orientation" & vbTab & vbTab & vbTab & ": " + PageSets.Orientation.ToString & vbCr & vbLf
        textBox1.Text += "Page left margin (in twips)" & vbTab & vbTab & ": " + PageSets.LeftMargin.ToString & vbCr & vbLf
        textBox1.Text += "Page right margin (in twips)" & vbTab & vbTab & ": " + PageSets.RightMargin.ToString & vbCr & vbLf
        textBox1.Text += "Page top margin (in twips)" & vbTab & vbTab & ": " + PageSets.TopMargin.ToString & vbCr & vbLf
        textBox1.Text += "Page bottom margin (in twips)" & vbTab & vbTab & ": " + PageSets.BottomMargin.ToString & vbCr & vbLf
        textBox1.Text += "If pages have borders" & vbTab & vbTab & ": " + PageSets.Borders.HasBorders.ToString & vbCr & vbLf
        textBox1.Text += "* Borders - what pages to apply" & vbTab & ": " + PageSets.BordersStyle.ApplyTo.ToString & vbCr & vbLf
        textBox1.Text += "* Borders - page depth" & vbTab & vbTab & ": " + PageSets.BordersStyle.PageDepth.ToString & vbCr & vbLf
        textBox1.Text += "* Borders - offset from" & vbTab & vbTab & ": " + PageSets.BordersStyle.OffsetFrom.ToString & vbCr & vbLf
        textBox1.Text += "If pages have borders" & vbTab & vbTab & ": " + PageSets.Borders.HasBorders.ToString & vbCr & vbLf
        textBox1.Text += "If pages have borders" & vbTab & vbTab & ": " + PageSets.Borders.HasBorders.ToString & vbCr & vbLf
        textBox1.Text += "Text justification" & vbTab & vbTab & vbTab & ": " + PageSets.Justification.ToString & vbCr & vbLf
        textBox1.Text += "Page numbers format" & vbTab & vbTab & ": " + PageSets.NumbersFormat.ToString & vbCr & vbLf
        textBox1.Text += "If page numbers restart every section" & vbTab & ": " + PageSets.NumberRestart.ToString & vbCr & vbLf

    End Sub
End Class
