﻿Imports DTG.Word

Public Class Form1

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ' Creates a new instance of Document class and reads a .doc file into this structure
        Dim Doc As New Document()
        Doc.ReadDoc("..\..\Data\WordTable.doc")

        ' Gets a table
        Dim tTable As Table = Doc.Sections(0).Nodes(0)

        ' For every row in this table...
        For i As Integer = 0 To tTable.Rows.Count - 1
            ' Writes the count of columns of the row
            textBox1.Text += ("Row " & (i + 1).ToString & " - columns count: ") + tTable.Rows(i).Cells.Count.ToString & vbCr & vbLf

            ' For every cell in this row...
            For j As Integer = 0 To tTable.Rows(i).Cells.Count - 1
                ' Gets the next cell
                Dim tCell As Cell = tTable.Rows(i).Cells(j)

                ' Writes the properties of the cell
                If tCell.Nodes(0).Type = NodeType.Paragraph Then
                    textBox1.Text += ("Row " & (i + 1).ToString & ", Cell " & (j + 1).ToString & " - text" & vbTab & vbTab & vbTab & ": ") + DirectCast(tCell.Nodes(0), Paragraph).Text & vbCr & vbLf
                End If
                textBox1.Text += ("Row " & (i + 1).ToString & ", Cell " & (j + 1).ToString & " - width (in twips)" & vbTab & vbTab & ": ") + tCell.Width.ToString & vbCr & vbLf
                textBox1.Text += ("Row " & (i + 1).ToString & ", Cell " & (j + 1).ToString & " - position (in twips)" & vbTab & ": ") + tCell.PosX.ToString & vbCr & vbLf
                textBox1.Text += ("Row " & (i + 1).ToString & ", Cell " & (j + 1).ToString & " - has shading" & vbTab & vbTab & ": ") + tCell.Shading.HasShading.ToString & vbCr & vbLf
                textBox1.Text += vbCr & vbLf
            Next
            textBox1.Text += "=============================" & vbCr & vbLf
        Next

    End Sub
End Class
