﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using DTG.Word;


namespace Sections_Columns
{
	public partial class Form1 : Form
	{
		public Form1()
		{
			InitializeComponent();
		}

		private void Form1_Load(object sender, EventArgs e)
		{
			// Creates a new instance of Document class and reads a .doc file into this structure
			Document Doc = new Document();
			Doc.ReadDoc(@"..\..\Data\WordColumns.doc");

			// Gets the columns properties
			Columns_Style tColumns = Doc.Sections[0].Columns;

			textBox1.Text += "Columns count			: " + tColumns.ColumnsCount + "\r\n";
			textBox1.Text += "Are columns evenly spaced?		: " + tColumns.EvenlySpaced + "\r\n";
			textBox1.Text += "Columns width (in twips)		: "
				+ tColumns.Width[0] + ", " + tColumns.Width[1] + ", " + tColumns.Width[2] + "\r\n";
			textBox1.Text += "Spacing between columns (in twips)	: "
				+ tColumns.SpacingBetweenColumns[0] + ", " + tColumns.SpacingBetweenColumns[1] + "\r\n";
			textBox1.Text += "Line between columns		: " + tColumns.LinesBetweenColumns + "\r\n";
		}
	}
}
